Skip to content

jsonrpc.get_signature ​

Purpose ​

Returns the signature information for a JSON RPC method including the arguments and expected response JSON.

Parameters ​

PARAMETERS
json
{
  "method": ""
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "jsonrpc.get_signature",
    "params": {
      "method": "jsonrpc.get_methods"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "jsonrpc.get_signature",
    "params": {
      "method": "jsonrpc.get_signature"
    },
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "jsonrpc.get_signature",
    "params": {
      "method": "condenser_api.get_dynamic_global_properties"
    },
    "id": 1
  }'

Example 4 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "jsonrpc.get_signature",
    "params": {
      "method": "database_api.get_dynamic_global_properties"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "args": null,
  "ret": null
}